[arch-commits] Commit in xf86-input-mouse/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jul 6 16:23:13 EDT 2008


    Date: Sunday, July 6, 2008 @ 16:23:13
  Author: jgc
Revision: 4397

Merged revisions 2-4396 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/xf86-input-mouse/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4396 | jgc | 2008-07-06 20:23:01 +0000 (Sun, 06 Jul 2008) | 1 line
  
  upgpkg: xf86-input-mouse 1.3.0-1
........

Modified:
  xf86-input-mouse/repos/extra-i686/	(properties)
  xf86-input-mouse/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)


Property changes on: xf86-input-mouse/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /xf86-input-mouse/trunk:1
   + /xf86-input-mouse/trunk:1-4396

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-06 20:23:01 UTC (rev 4396)
+++ extra-i686/PKGBUILD	2008-07-06 20:23:13 UTC (rev 4397)
@@ -2,22 +2,24 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xf86-input-mouse
-pkgver=1.2.3
+pkgver=1.3.0
 pkgrel=1
 pkgdesc="X.org mouse input driver"
 arch=(i686 x86_64)
+license=('custom')
 url="http://xorg.freedesktop.org/"
 depends=('glibc')
-makedepends=('pkgconfig' 'xorg-server>=1.4')
+makedepends=('pkgconfig' 'xorg-server>=1.4.2')
 options=('!libtool')
 groups=('xorg' 'xorg-input-drivers')
 source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('31a51b0e5ddc4fac19754f48a3adf881')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr \
-              --build=${CHOST} --host=${CHOST}
+  ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
+  install -d -m755 ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
-md5sums=('47da1fa52584933d045528109f094eff')





More information about the arch-commits mailing list